Skip to navigation

Tenants Create

Preview
View as Markdown

Coming soon. Creates a tenant for the authenticated app and returns a short-lived, single-use authorization code. Exchange the code at /oauth2/token with the same app credentials to obtain tenant access and refresh tokens.

Required scope: private:agent_filesystem.tenants.manage

Endpoint format: RPC

Authentication: App

This endpoint does not support apps with the app folder permission.

Authentication

AuthorizationBearer

App-level OAuth 2.0 token (no user context). Use Authorization: Bearer <token>.

Obtain by calling the token endpoint with grant_type=client_credentials.

Only available on endpoints that declare app auth support.

Request

This endpoint expects an object.
namestringRequired1-255 characters
Display name supplied by your system.

Response headers

X-Dropbox-Request-IdstringOptional
A unique identifier for the request, useful for debugging and support.

Response

Successful response
authorizationobject

One-time code used to obtain the tenant’s access and refresh tokens.

tenantobject
Newly created tenant.

Errors

401
Unauthorized Error
403
Forbidden Error
409
Conflict Error
429
Too Many Requests Error
500
Internal Server Error